package domain


type AlibabaTclsAelophyMerchantChannelOrderCancelOrderUserCancelInfo struct {
    /*
        外部订单ID     */
    OutOrderId  *string `json:"out_order_id,omitempty" `

    /*
        外部渠道店ID(与shop_id必选其一)     */
    OutShopId  *string `json:"out_shop_id,omitempty" `

    /*
        渠道来源(选填out_shop_id时该值必填)     */
    OrderFrom  *int64 `json:"order_from,omitempty" `

    /*
        渠道店id(与out_shop_id必选其一)     */
    ShopId  *string `json:"shop_id,omitempty" `

}

func (s *AlibabaTclsAelophyMerchantChannelOrderCancelOrderUserCancelInfo) SetOutOrderId(v string) *AlibabaTclsAelophyMerchantChannelOrderCancelOrderUserCancelInfo {
    s.OutOrderId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCancelOrderUserCancelInfo) SetOutShopId(v string) *AlibabaTclsAelophyMerchantChannelOrderCancelOrderUserCancelInfo {
    s.OutShopId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCancelOrderUserCancelInfo) SetOrderFrom(v int64) *AlibabaTclsAelophyMerchantChannelOrderCancelOrderUserCancelInfo {
    s.OrderFrom = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCancelOrderUserCancelInfo) SetShopId(v string) *AlibabaTclsAelophyMerchantChannelOrderCancelOrderUserCancelInfo {
    s.ShopId = &v
    return s
}
